Subject: bug#9068: cleanup: use only one of __sgi and IRIX6_5

From: Dan Nicolaescu <[email-masked]>
Date: Wed, 13 Jul 2011 11:10:01 -0400

Both __sgi and IRIX6_5 macros are used in the code, we only support a
single SGI/IRIX platform, so they mean the same thing, only one of them
should be used.